Subject: Re: bug#61038: 30.0.50; `project-query-replace-regexp' also attempts search and replace in auto-save files

From: Dmitry Gutov <[email-masked]>
Date: Wed, 25 Jan 2023 17:29:13 +0200

On 25/01/2023 09:30, Mickey Petersen wrote:
> Dmitry Gutov<[email-masked]>  writes:
> 
>> On 24/01/2023 12:37, Mickey Petersen wrote:
>>> I think it'd be more useful if auto-save files (or even backup files)
>>> were excluded from all the various `project-' commands that operate on
>>> project files.
>> I think that depends on the project backend.
>>
>> The default implementation uses grep-find-ignored-files (which include
>> auto-save files, I think?).
>>
>> But the vc-aware backend ignores generally what the repository
>> configuration tells it to ignore. Which would generally include
>> auto-save files as well, but that depends on factors external to
>> Emacs.
>>
>> What kind of backend were you trying this command with?
> Default git backend. However, I'd charge that Emacs should know about
> its own backup files (and not necessarily those of other Emacs
> instances that may be running.)

It's hard for me to say what is TRT here. If we explicitly ignore 
backups, does that mean we should add compiled objects files, etc, that 
is, everything from grep-find-ignored-files?

But I have configured my backups to be saved inside ~/.emacs.d/ 
directory, like a lot of people recommend. Via backup-directory-alist.

If you don't do that, and you have them saved side-by-side inside Git 
repository, don't you usually add .gitignore rules for them then?

So that they don't get in the way of other operations, outside of Emacs.